# NB! Dette skriptet vil kun fungere for interne brukere i Helse Vest IKT da det kreves rettigheter og tilganger.

# henter ut alle filer og lagrer de i en array. Etter dette kjøres hentAssyst med ID'ene i arrayen.


[xml]$xml = Get-Content -Path "C:\Users\matpha\OneDrive - Helse Vest\Dokumenter\Assyst\xml files\126813.xml"

# Fjerner alle filer i den valgte mappen
del 'C:\Users\matpha\OneDrive - Helse Vest\Dokumenter\Assyst\xml files\*'
# Initialiserer en tom array
$resultArray = @()

$xml.SelectNodes("//relatedItem") | ForEach-Object {
    $id = $_.id
    $shortCode = $_.shortCode
    $output = "ID: $id, shortCode: $shortCode"

    # legger til outputten til arrayen
    $resultArray += $output
}

# Viser resultat arrayen
$resultArray

# Kjører hentAssyst.ps1 for hver ID i result arrayen
foreach ($item in $resultArray) {
    # Ekstrakt ID fra item
    $id = ($item -split ' ')[1] -replace ',', ''
	$id

    #Kaller på hentAssyst.ps1 med den ekstrakterte IDen
    & ".\hentAssyst.ps1" $id
}
